import java.awt.*;
import java.util.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.text.*;
import java.text.*;



public class AppendingTextArea extends JTextArea {

  public AppendingTextArea(){
	  super();
  }

  public AppendingTextArea(StyledDocument doc) {
	  super(doc);
  }

  public void appendText( String text) {
	 try {
		 Document doc = getDocument();
		 setCaretPosition(doc.getLength());
		 replaceSelection(text);
		 Rectangle r = modelToView(doc.getLength());
		 if (r != null)
		 {
			 scrollRectToVisible(r);
		 }
	 } catch (BadLocationException e) {
		 System.out.println("Failed to append text: " + e);
	 }
 }

}

